Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-10467

Will 2.4.x c++ driver support -std=c++11?

    XMLWordPrintable

    Details

    • Type: Question
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Won't Fix
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
    • Environment:
      Linux Centos 6.3, gcc 2.7.1
    • Backwards Compatibility:
      Fully Compatible

      Description

      gcc -std=c+11 currently fails for the c+ driver on release 2.4.4. I see c+11 support being added into 2.5, but the deployment timeframe for 2.5 is too long for us. We would like to start using mongos 2.4.4 for our project in the near future. Are there plans to support -std=c+11 compile support for the 2.4.x release stream?

      Thanks.

        Attachments

        1. patch.boost_1_53
          0.7 kB
        2. patch.c++11
          2 kB

          Activity

            People

            Assignee:
            acm Andrew Morrow
            Reporter:
            jwest Jay West
            Participants:
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: